### Function

# Gimp ColorProfile get_lcms_format

#### Declaration [src]

    const Babl*
    gimp_color_profile_get_lcms_format (
      const Babl* format,
      guint32* lcms_format
    )

#### Description [src]

This function takes a `Babl` format and returns the lcms format to be used with that `format`. It also returns a `Babl` format to be used instead of the passed `format`, which usually is the same as `format`, unless lcms doesn’t support `format`.

Note that this function currently only supports RGB, RGBA, R’G’B’, R’G’B’A, Y, YA, Y’, Y’A and the cairo-RGB24 and cairo-ARGB32 formats.

Available since: | 2.10

#### Parameters

`format` | `Babl`
| A `Babl` format.
| The data is owned by the caller of the function.
`lcms_format` | `guint32*`
| Return location for an lcms format.
| The data is owned by the caller of the function.

#### Return value

Returns: | `Babl`
| The `Babl` format to be used instead of `format`, or `NULL` if the passed `format` is not supported at all.
| The data is owned by the called function.
| The return value can be `NULL`.